

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/fs-writeback.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN fs/fs-writeback.c~sync_inodes_sb-debug fs/fs-writeback.c
--- 25/fs/fs-writeback.c~sync_inodes_sb-debug	2004-06-08 22:41:45.096155440 -0700
+++ 25-akpm/fs/fs-writeback.c	2004-06-08 22:41:45.099154984 -0700
@@ -435,10 +435,7 @@ void sync_inodes_sb(struct super_block *
 {
 	struct page_state ps;
 	struct writeback_control wbc = {
-		.bdi		= NULL,
 		.sync_mode	= wait ? WB_SYNC_ALL : WB_SYNC_HOLD,
-		.older_than_this = NULL,
-		.nr_to_write	= 0,
 	};
 
 	get_page_state(&ps);
@@ -449,6 +446,9 @@ void sync_inodes_sb(struct super_block *
 	spin_lock(&inode_lock);
 	sync_sb_inodes(sb, &wbc);
 	spin_unlock(&inode_lock);
+	if (wbc.nr_to_write <= 0)
+		printk(KERN_ERR "%s: not all pages were written!\n",
+				__FUNCTION__);
 }
 
 /*
_
